Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038530
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Modules] Advance Warehouse Operationsmajoralways2018-05-13 13:552018-09-18 13:28
ReporterdmiguelezView Statuspublic 
Assigned Todmiguelez 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision1fd0a18891a8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tovmromanos
Regression introduced in release
Summary

0038530: Records in Warehouse Operations are not shown

DescriptionRecords in Warehouse Operations are not shown

Warehouse Operations flow is enabled at Organization level instead of Warehouse level (know design defect)

In the Warehouse Operations Window, the Organization shown is the Organization of the Storage Detail. And also, the Organization of the storage detail is filtered by the AWO flag (activated or not)

However, this Organization should be the one from the Storage Bin.

The user expects to see the Stock 'IN' the Warehouse, regardless if the stock belongs to an Organization in a different level of the Organization Tree.

This is why the Organization field and filter must be changed.
Steps To ReproduceWith AWO and AWO Sample Data Installed

Log in as AWO QA Admin

Go to Warehouse Operations Window
Righ-click on the Top Bar of the Columns (where Warehouse - Internal Routing Area - ... titles are)
Click on Columns and show the Organization column
Check that there are several records with US Organization

Go to Organization Window and select US Organization.
In the Tab Information, uncheck 'Advanced Warehouse Operations Flow' check

Go back to Warehouse Operations Window and check that this records do not appear any more
Proposed SolutionProposed solution attached.
TagsNo tags attached.
Attached Filesdiff file icon proposedSolution38530.diff [^] (2,433 bytes) 2018-05-13 13:56 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104815)
dmiguelez (developer)
2018-05-30 17:36

The Organization of the Stock (M_Storage_Detail) is the Organization of the Document that created the Transaction. It is the Organization of the Document instead of the Organization of the Warehouse because a Warehouse can be defined at a higher level in the Organization Tree (* for example)

In Warehouse Operations Window, it is necessary to use the Organization of the Stock for the different actions.

It is possible to add an extra column with the Organization of the Warehouse, and change the filter to check if AWO is enabled in the Organization of the Warehouse.

However, there is a question that must be solved first.

If a Stock is inside a Warehouse, US West Coast, for example, but belongs to a different Organization, US for example.
If the user has only access to US West Coast, should the user be able to perform actions against a Stock that belongs to an Organization that he has not access to?
(0106513)
hgbot (developer)
2018-08-29 10:22

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 1fd0a18891a8e5d021f93166bb1387246572bb80
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:37:02 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/1fd0a18891a8e5d021f93166bb1387246572bb80 [^]

Fixes Issue 38530. Moves logic from View to Tab HQLWhereClause

This change keeps the current behavior of the window, but allows
to customize the logic with a Template for any client

* Changed View to
  - Remove logic to filter by Organizations with AWO Flow Enabled
  - Changed JOIN with LEFT JOIN to join with obawo_locator_group
* Added logic to filter by Organizations with AWO Flow Enabled
  in Warehouse Operations Tab HQLWhereClause

---
M src-db/database/model/views/OBAWO_WAREHOUSEOPS_V.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0106514)
hgbot (developer)
2018-08-29 10:22

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 373ca59405aff25516a1a40572353f63558f4459
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:40:52 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/373ca59405aff25516a1a40572353f63558f4459 [^]

Related with Issue 38530. Improved Role and AWO enabled validations

It is possible for a Role without write access to an Organization
to see data from it (because it has read access)
However, in this case, the processes should fail

Also, if this window shows records for Organizations without AWO
enabled, the process should fail

* Added logic to check if the user has write access to the Organization
  of the Storage Detail. In that case, throw an exception
* Impletemented the logic for the processes that can be called through
  the buttons in Warehouse Operations Window
* For Counts, if the Organization of the record does not have AWO
  enabled, throw an exception
  - This was needed because the Physical Inventory document is created
    at the Warehouse Organization Level. If the stock is at a higher level
    it was not failing when it should

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/CountStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/MoveStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/PutAwayFromStockDetailHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
---
(0106515)
hgbot (developer)
2018-08-29 10:22

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 48878a873413134bd676bb08c67d9ffaf5449a1a
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:42:11 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/48878a873413134bd676bb08c67d9ffaf5449a1a [^]

Related to Issue 38530. Refactor of Change Inventory Status Logic

All the logic for this functionality was wrongly included in Utilities class

Now it has been moved to it's own class (InventoryStatusChangeManagement)
All the affected processes have been adapted

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOj_Occupancy.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/ChangeStockStatusHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/TaskGeneratorProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryStatusChangeManager.java
---
(0106516)
hgbot (developer)
2018-08-29 10:23

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 8455ed8415d794ae9b8412aa5bc294ddc0be5266
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:43:00 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/8455ed8415d794ae9b8412aa5bc294ddc0be5266 [^]

Related with Issue 38530. Refactor InventoryStatusChangeManager
to extract some methods out of the main code

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryStatusChangeManager.java
---
(0106517)
hgbot (developer)
2018-08-29 10:23

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 8455ed8415d794ae9b8412aa5bc294ddc0be5266
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:43:00 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/8455ed8415d794ae9b8412aa5bc294ddc0be5266 [^]

Related with Issue 38530. Refactor InventoryStatusChangeManager
to extract some methods out of the main code

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryStatusChangeManager.java
---
(0106518)
hgbot (developer)
2018-08-29 10:23

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 3574e580b018680963fb3081bc3bafc4e7e63d95
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:44:06 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/3574e580b018680963fb3081bc3bafc4e7e63d95 [^]

Related to Issue 38530. Extracted methods from Utilitites class
into it's own utils class

Some of the methods were related with the same functionality
(Inventory Proposal Generation) and it is better to isolate them
into it's own utils class

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/CountStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/PhysicalInventoryProposalHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/PhysicalInventoryProposalProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/utils/InventoryProposalUtils.java
---
(0106519)
hgbot (developer)
2018-08-29 10:23

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 3574e580b018680963fb3081bc3bafc4e7e63d95
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:44:06 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/3574e580b018680963fb3081bc3bafc4e7e63d95 [^]

Related to Issue 38530. Extracted methods from Utilitites class
into it's own utils class

Some of the methods were related with the same functionality
(Inventory Proposal Generation) and it is better to isolate them
into it's own utils class

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/CountStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/PhysicalInventoryProposalHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/PhysicalInventoryProposalProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/utils/InventoryProposalUtils.java
---
(0106520)
hgbot (developer)
2018-08-29 10:23

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 781377b50b041e75059f38dc16a2ee1c7d173ff8
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Aug 29 09:21:55 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/781377b50b041e75059f38dc16a2ee1c7d173ff8 [^]

Related to Issue 38530. Refactor of Change Inventory Status Logic

All the logic for this functionality was wrongly included in Utilities class

Now it has been moved to it's own class (InventoryStatusChangeManagement)
All the affected processes have been adapted

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOj_Occupancy.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/ChangeStockStatusHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/TaskGeneratorProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryStatusChangeManager.java
---
(0106521)
hgbot (developer)
2018-08-29 10:23

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 2444d5605c17e303e925b6c99423fb1c292352fa
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:43:00 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/2444d5605c17e303e925b6c99423fb1c292352fa [^]

Related with Issue 38530. Refactor InventoryStatusChangeManager
to extract some methods out of the main code

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryStatusChangeManager.java
---
(0106522)
hgbot (developer)
2018-08-29 10:23

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 32cac19aeff370c25dc1fc6a66a915cbb3e0fafd
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Aug 29 09:22:40 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/32cac19aeff370c25dc1fc6a66a915cbb3e0fafd [^]

Related to Issue 38530. Extracted methods from Utilitites class
into it's own utils class

Some of the methods were related with the same functionality
(Inventory Proposal Generation) and it is better to isolate them
into it's own utils class

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/CountStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/PhysicalInventoryProposalHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/PhysicalInventoryProposalProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/utils/InventoryProposalUtils.java
---
(0106523)
hgbot (developer)
2018-08-29 10:23

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: f500bd27ddce9bd0b0e88d36206e57b0ba0bf35a
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Wed Aug 29 09:23:51 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/f500bd27ddce9bd0b0e88d36206e57b0ba0bf35a [^]

Related to issue 38530. Removed unnecessary imports in Utilities class

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
---
(0106581)
dmiguelez (developer)
2018-09-03 11:28

With AWO and AWO SampleData installed

Apply this patch and update the database and compile the application
diff --git a/src-db/database/sourcedata/AD_TAB.xml b/src-db/database/sourcedata/AD_TAB.xml
--- a/src-db/database/sourcedata/AD_TAB.xml
+++ b/src-db/database/sourcedata/AD_TAB.xml
@@ -1282,7 +1282,7 @@
 <!--BB3A7FC229944AC99FB4B777B82EF048--> <UIPATTERN><![CDATA[RO]]></UIPATTERN>
 <!--BB3A7FC229944AC99FB4B777B82EF048--> <HQLWHERECLAUSE><![CDATA[exists (select 1
            from OrganizationInformation oi
- where oi.organization.id = e.organization.id and oi.obawoAwoFlow=true)]]></HQLWHERECLAUSE>
+ where oi.organization.id = e.storageBin.organization.id and oi.obawoAwoFlow=true)]]></HQLWHERECLAUSE>
 <!--BB3A7FC229944AC99FB4B777B82EF048--> <HQLORDERBYCLAUSE><![CDATA[updated desc]]></HQLORDERBYCLAUSE>
 <!--BB3A7FC229944AC99FB4B777B82EF048--> <HQLFILTERCLAUSE><![CDATA[e.warehouse.id = @m_warehouse_id@]]></HQLFILTERCLAUSE>
 <!--BB3A7FC229944AC99FB4B777B82EF048--> <FILTERNAME><![CDATA[Stock from Context Warehouse]]></FILTERNAME>


Log in as AWO QA Admin

Go to Warehosue Operations Window.
Right click on the top of the grid and include the Organization Column
Check that there are records from US Organization

Go to Organization Window and select US Organization
Naviate to Information Tab and uncheck Advanced Warehouse Operations Flow check

Go back to Warehouse Operations Window.
Check that the records from US Organization are shown.
Select any record from the US Organizatio and try to perform any action (Count, Recount, Move, Put-Away, Status, Box, Unbox)
Check that it is not possible as AWO flow is not active for this Organization

Enable AWO again and swith to a Role with limitted access (Restrict West Role, for example)
Check that records for US organization are shown, but no action can be performed as this Role does not have write access for US Organization
(0106773)
hgbot (developer)
2018-09-14 14:56

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 1fd0a18891a8e5d021f93166bb1387246572bb80
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:37:02 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/1fd0a18891a8e5d021f93166bb1387246572bb80 [^]

Fixes Issue 38530. Moves logic from View to Tab HQLWhereClause

This change keeps the current behavior of the window, but allows
to customize the logic with a Template for any client

* Changed View to
  - Remove logic to filter by Organizations with AWO Flow Enabled
  - Changed JOIN with LEFT JOIN to join with obawo_locator_group
* Added logic to filter by Organizations with AWO Flow Enabled
  in Warehouse Operations Tab HQLWhereClause

---
M src-db/database/model/views/OBAWO_WAREHOUSEOPS_V.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0106774)
hgbot (developer)
2018-09-14 14:56

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 373ca59405aff25516a1a40572353f63558f4459
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:40:52 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/373ca59405aff25516a1a40572353f63558f4459 [^]

Related with Issue 38530. Improved Role and AWO enabled validations

It is possible for a Role without write access to an Organization
to see data from it (because it has read access)
However, in this case, the processes should fail

Also, if this window shows records for Organizations without AWO
enabled, the process should fail

* Added logic to check if the user has write access to the Organization
  of the Storage Detail. In that case, throw an exception
* Impletemented the logic for the processes that can be called through
  the buttons in Warehouse Operations Window
* For Counts, if the Organization of the record does not have AWO
  enabled, throw an exception
  - This was needed because the Physical Inventory document is created
    at the Warehouse Organization Level. If the stock is at a higher level
    it was not failing when it should

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/CountStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/MoveStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/PutAwayFromStockDetailHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
---
(0106775)
hgbot (developer)
2018-09-14 14:56

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 48878a873413134bd676bb08c67d9ffaf5449a1a
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:42:11 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/48878a873413134bd676bb08c67d9ffaf5449a1a [^]

Related to Issue 38530. Refactor of Change Inventory Status Logic

All the logic for this functionality was wrongly included in Utilities class

Now it has been moved to it's own class (InventoryStatusChangeManagement)
All the affected processes have been adapted

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOj_Occupancy.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/ChangeStockStatusHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/TaskGeneratorProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryStatusChangeManager.java
---
(0106776)
hgbot (developer)
2018-09-14 14:56

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 8455ed8415d794ae9b8412aa5bc294ddc0be5266
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:43:00 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/8455ed8415d794ae9b8412aa5bc294ddc0be5266 [^]

Related with Issue 38530. Refactor InventoryStatusChangeManager
to extract some methods out of the main code

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/centralbroker/InventoryStatusChangeManager.java
---
(0106777)
hgbot (developer)
2018-09-14 14:56

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 3574e580b018680963fb3081bc3bafc4e7e63d95
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Aug 28 13:44:06 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/3574e580b018680963fb3081bc3bafc4e7e63d95 [^]

Related to Issue 38530. Extracted methods from Utilitites class
into it's own utils class

Some of the methods were related with the same functionality
(Inventory Proposal Generation) and it is better to isolate them
into it's own utils class

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOh_InventoryStatusWithAWOEnabled.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/CountStockHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/handler/PhysicalInventoryProposalHandler.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/processors/PhysicalInventoryProposalProcessor.java
M src/org/openbravo/warehouse/advancedwarehouseoperations/utils/Utilities.java
A src/org/openbravo/warehouse/advancedwarehouseoperations/utils/InventoryProposalUtils.java
---

- Issue History
Date Modified Username Field Change
2018-05-13 13:55 dmiguelez New Issue
2018-05-13 13:55 dmiguelez Assigned To => dmiguelez
2018-05-13 13:56 dmiguelez Proposed Solution updated
2018-05-13 13:56 dmiguelez File Added: proposedSolution38530.diff
2018-05-28 17:35 dmiguelez Assigned To dmiguelez => Triage Finance
2018-05-30 17:36 dmiguelez Note Added: 0104815
2018-05-30 17:36 dmiguelez Type defect => design defect
2018-08-27 14:19 martinsdan Issue Monitored: martinsdan
2018-08-29 10:22 hgbot Checkin
2018-08-29 10:22 hgbot Note Added: 0106513
2018-08-29 10:22 hgbot Status new => resolved
2018-08-29 10:22 hgbot Resolution open => fixed
2018-08-29 10:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/1fd0a18891a8e5d021f93166bb1387246572bb80 [^]
2018-08-29 10:22 hgbot Checkin
2018-08-29 10:22 hgbot Note Added: 0106514
2018-08-29 10:22 hgbot Checkin
2018-08-29 10:22 hgbot Note Added: 0106515
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106516
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106517
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106518
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106519
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106520
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106521
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106522
2018-08-29 10:23 hgbot Checkin
2018-08-29 10:23 hgbot Note Added: 0106523
2018-09-03 11:28 dmiguelez Note Added: 0106581
2018-09-04 12:37 dmiguelez Review Assigned To => vmromanos
2018-09-04 16:39 vmromanos Assigned To Triage Finance => dmiguelez
2018-09-04 16:41 vmromanos Status resolved => closed
2018-09-14 14:56 hgbot Checkin
2018-09-14 14:56 hgbot Note Added: 0106773
2018-09-14 14:56 hgbot Status closed => resolved
2018-09-14 14:56 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/1fd0a18891a8e5d021f93166bb1387246572bb80 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/1fd0a18891a8e5d021f93166bb1387246572bb80 [^]
2018-09-14 14:56 hgbot Checkin
2018-09-14 14:56 hgbot Note Added: 0106774
2018-09-14 14:56 hgbot Checkin
2018-09-14 14:56 hgbot Note Added: 0106775
2018-09-14 14:56 hgbot Checkin
2018-09-14 14:56 hgbot Note Added: 0106776
2018-09-14 14:56 hgbot Checkin
2018-09-14 14:56 hgbot Note Added: 0106777
2018-09-18 13:28 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker